Bug 1725808 - CVE-2019-12384 jackson-databind: failure to block the logback-core class from polymorphic deserialization leading to remote code execution [fedora-all]
Summary: CVE-2019-12384 jackson-databind: failure to block the logback-core class from...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jackson-databind
Version: 30
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Stewardship SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-12384
TreeView+ depends on / blocked
 
Reported: 2019-07-01 13:35 UTC by msiddiqu
Modified: 2019-09-22 03:19 UTC (History)
4 users (show)

Fixed In Version: jackson-databind-2.9.9.3-1.fc31 jackson-databind-2.9.9.3-1.fc30 jackson-databind-2.9.9.3-1.fc29
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-18 00:04:01 UTC


Attachments (Terms of Use)

Description msiddiqu 2019-07-01 13:35:14 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 msiddiqu 2019-07-01 13:35:16 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1725807,1725808

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fabio Valentini 2019-08-29 10:12:29 UTC
Please note that this package is now maintained by the Stewardship SIG, but we can only provide minimal maintenance due to the high number of packages we own.

While security issues are high priority for us, we cannot guarantee to be able to fix this quickly (or at all).

If you are interested in this package and / or getting this issue fixed, feel free to contact us and we might be able to work something out.

Comment 3 Fedora Update System 2019-09-13 20:39:01 UTC
FEDORA-2019-99ff6aa32c has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-99ff6aa32c

Comment 4 Fedora Update System 2019-09-13 21:36:25 UTC
FEDORA-2019-ae6a703b8f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae6a703b8f

Comment 5 Fedora Update System 2019-09-13 22:20:44 UTC
FEDORA-2019-fb23eccc03 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-fb23eccc03

Comment 6 Fedora Update System 2019-09-14 01:40:49 UTC
jackson-annotations-2.9.9-1.fc31, jackson-bom-2.9.9-1.fc31, jackson-core-2.9.9-1.fc31, jackson-databind-2.9.9.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-99ff6aa32c

Comment 7 Fedora Update System 2019-09-14 03:39:59 UTC
jackson-annotations-2.9.9-1.fc30, jackson-bom-2.9.9-1.fc30, jackson-core-2.9.9-1.fc30, jackson-databind-2.9.9.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ae6a703b8f

Comment 8 Fedora Update System 2019-09-14 03:55:22 UTC
jackson-annotations-2.9.9-1.fc29, jackson-bom-2.9.9-1.fc29, jackson-core-2.9.9-1.fc29, jackson-databind-2.9.9.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fb23eccc03

Comment 9 Fedora Update System 2019-09-18 00:04:01 UTC
jackson-annotations-2.9.9-1.fc31, jackson-bom-2.9.9-1.fc31, jackson-core-2.9.9-1.fc31, jackson-databind-2.9.9.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-09-22 02:25:39 UTC
jackson-annotations-2.9.9-1.fc30, jackson-bom-2.9.9-1.fc30, jackson-core-2.9.9-1.fc30, jackson-databind-2.9.9.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-09-22 03:19:58 UTC
jackson-annotations-2.9.9-1.fc29, jackson-bom-2.9.9-1.fc29, jackson-core-2.9.9-1.fc29, jackson-databind-2.9.9.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.